<app-loading *ngIf="loading"></app-loading>
<div class="main">
  <form [formGroup]="formName" nz-form>
    <div nz-row class="main__form">
      <div nz-col nzSpan="24" class="main__form--input">
        <div class="object__search-em" nz-row>
          <div class="object__search-em--select" nz-col nzSpan="12">
            <span class="title">
              Thông tin nhóm
            </span>
          </div>
          <div class="object__search-em--action" nz-col nzSpan="12">
            <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='BtnCancelHasBorder' *ngIf="objFunction.export"
              mbPrefixIcon="vertical-align-bottom" mbButtonText="{{'Biểu mẫu' | translate}}" (click)="dowloadTeamplate()">
            </mb-button>
            <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' *ngIf="objFunction.import"
              mbButtonText="{{'Tải dữ liệu lên' | translate}}" (click)="showUpload()"></mb-button>
          </div>

        </div>
        <div nz-col nzSpan="24">
          <mb-input-text [mbType]="isSubmitted && formName.controls['name'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && (formName.controls['name'].errors) != null"
            [isFocus]='true'
            [mbErrors]="formName.controls['name'].errors"
            [mbErrorDefs]="[
          { errorName: 'required', errorDescription: 'system.validate.required' | translate: {'param': 'modelOrganization.validate.groupName' | translate }}]"
            formControlName="name" mbLabelText="Tên nhóm"
            mbPlaceholderText="{{'modelOrganization.placeHoder.type' | translate}}">
          </mb-input-text>
        </div>
        <div nz-col nzSpan="24" class="padding-row">
          <employee-data-picker [(ngModel)]="employeeId" [ngModelOptions]="{standalone: true}" [mbCanText]="true"
                                [multiple]="true" (selectedChange)="onChange($event)" [getEmail]="true"
            mbLabelText="{{'modelOrganization.label.addReceiver' | translate}}">
          </employee-data-picker>
        </div>
      </div>
      <div nz-col nzSpan="24">
        <nz-table #basicTable [nzData]="ds.length ? ds : []" [nzScroll]="ds ? {x: 'SCROLL_CONFIG'} : {}" [nzFrontPagination]="false" [nzShowPagination]="false" [nzSize]="TABLE_SIZE">
          <thead>
            <tr>
              <th scope="col" [nzWidth]="WIDTH_COLUMN.MEDIUM" nzLeft>Tài Khoản</th>
              <th scope="col">Người Nhận</th>
              <th scope="col">Phòng</th>
              <th [nzWidth]="WIDTH_COLUMN.CHECKED" scope="col" nzRight></th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let item of ds; let i = index">
              <td nzLeft>
                {{item.email?.split('@')[0]}}
              </td>
              <td>
                <nz-avatar [nzSize]="24" [nzText]="item.email[0].toUpperCase()" class="jd-table__avatar"
                  *ngIf="item.email">
                </nz-avatar>{{item.fullName}}
              </td>
              <td>{{item.orgName}}</td>
              <td nzRight>
                <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CONTENT'
                mbButtonText="{{'modelOrganization.button.tranfer' | translate}}" (click)="deleteEmp(i)"><em
                  nz-icon nzType="delete" nzTheme="outline"></em></mb-button>
              </td>
            </tr>
          </tbody>
        </nz-table>
      </div>
    </div>
  </form>
</div>
<div nz-row class="submit">
  <div class="submit-button">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='BtnCancelHasBorder'
      mbButtonText="{{'Hủy' | translate}}" (click)="cancel()">
    </mb-button>
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY' mbButtonText="{{'Lưu' | translate}}" *ngIf="objFunction.create"
      (click)="submit()"></mb-button>
  </div>
</div>
